include ../../atoms/field/field
//- include ../../atoms/cross/cross

mixin modal-window(spec)
  - spec = spec || {}
  - spec.__class = spec.__class || ''


  form.modal-window__form.js-modal-form(class=spec.__class)&attributes(attributes)
    +field({__class:'modal-window__field', text:'Ваше ім’я', name:'fullName', type: 'texrtghft'})
    +field({__class:'modal-window__field', text:'Ваша email адреса', name:'mail', type: 'email'})
    .modal-window__text
      label(for='message').modal-window__label Ваше повідомлення
      textarea.modal-window__textarea(id='message' name='message')
    img(src="https://thefallenbrain.files.wordpress.com/2016/05/input-black.gif", alt="captcha").captcha
    input(id="id_captcha_0" name="captcha_0" type="hidden" value="98c2f54430716806985ff5e5efa510f410f7e61f")
    label(for="id_captcha_1").field__label.field__label-captcha
    input(autocapitalize="off" autocomplete="off" autocorrect="off" spellcheck="false" id="id_captcha_1" name="captcha_1" type="text")
    
    //- +field({__class:'modal-window__field-captcha', name:'captcha', type: 'text'})
    button(type="submit" ).button.modal-window__button
      .button__items
        span.button__item.button__item-one
        span.button__item.button__item-two
        span.button__item.button__item-three
        span.button__item.button__item-vour
      .button__text Діагностика
    //- .modal-window__divider


